{*************************************************************************
                Copyright (c) PilotLogic Software House

  Package pl_MagicScript
  This file is part of CodeTyphon Studio (https://www.pilotlogic.com/)

 ***** BEGIN LICENSE BLOCK *****
 * Version: LGPL-2.1 with link exception (Modified LGPL)
 *
 * The contents of this file are subject to the
 * GNU LIBRARY GENERAL PUBLIC LICENSE Version 2.1 (the "License")
 * with the following modification:
 *
 * As a special exception, the copyright holders of this library give you
 * permission to link this library with independent modules to produce an
 * executable, regardless of the license terms of these independent modules,
 * and to copy and distribute the resulting executable under terms of your choice,
 * provided that you also meet, for each linked independent module, the terms
 * and conditions of the license of that module. An independent module is a
 * module which is not derived from or based on this library. If you modify this
 * library, you may extend this exception to your version of the library, but
 * you are not obligated to do so. If you do not wish to do so, delete this
 * exception statement from your version.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * ***** END LICENSE BLOCK *****
 
***************************************************************************}

Unit AllMagicScriptReg;

{$I magicscript.inc}

Interface

Uses
   Classes,
   PropEdits,
   TyphonPackageIntf,
   LResources,

   mscoreengine,
   msLibrariestree,
   msscripteditor,
   msscriptHighlighter,
   msScriptApiDlgForm;

Procedure Register;

Implementation

{$R AllMagicScriptReg.res}

Procedure Register;
Begin
   RegisterComponents('MagicScript',
      [
      TmscrPascalScript,
         TmscrScriptEditor,
         TmscrScriptHighlighter,
         TmscrScriptTerminal,
         TmscrRTTILibrariesTree,
         TmsScriptAPIExplorerDlg

      ]);
End;

End.
