{*************************************************************************
                Copyright (c) PilotLogic Software House

  Package pl_MagicScript
  This file is part of CodeTyphon Studio (https://www.pilotlogic.com/)

 ***** BEGIN LICENSE BLOCK *****
 * Version: LGPL-2.1 with link exception (Modified LGPL)
 *
 * The contents of this file are subject to the
 * GNU LIBRARY GENERAL PUBLIC LICENSE Version 2.1 (the "License")
 * with the following modification:
 *
 * As a special exception, the copyright holders of this library give you
 * permission to link this library with independent modules to produce an
 * executable, regardless of the license terms of these independent modules,
 * and to copy and distribute the resulting executable under terms of your choice,
 * provided that you also meet, for each linked independent module, the terms
 * and conditions of the license of that module. An independent module is a
 * module which is not derived from or based on this library. If you modify this
 * library, you may extend this exception to your version of the library, but
 * you are not obligated to do so. If you do not wish to do so, delete this
 * exception statement from your version.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * ***** END LICENSE BLOCK *****
 
***************************************************************************}

Unit mscoreconst;

Interface

Resourcestring

   msEUnError = 'Unknown ERROR ???????';
   msEUnknownType = 'Unknown type: ';
   msELangNotFound = 'Language ''%s'' not found';
   msEIdRedeclared = 'Identifier redeclared: ';
   msEIncompatibleTypes = 'Incompatible types';
   msEIndexRequired = 'Index required';
   msEArrayRequired = 'Array type required';
   msEVarRequired = 'Variable required';
   msEUndeclaredId = 'Undeclared identifier: ';
   msEClassRequired = 'Class type required';
   msEClassError = 'Class %s does not have a default property';
   msEClassCreateError = 'Variable Class of type %s is NIL, NOT Created';
   msEStringError = 'Strings doesn''t have properties or methods';
   msENotEnoughParams = 'Not enough actual parameters';
   msETooManyParams = 'Too many actual parameters';
   msELeftCantAssigned = 'Left side cannot be assigned to';
   msEForError = 'For loop variable must be numeric variable';
   msEEventError = 'Event handler must be a procedure';
   msEInvalidLanguage = 'Invalid language definition';
   msError01 = 'Identifier expected';
   msError02 = 'Expression expected';
   msError03 = 'Statement expected';
   msError04 = ''':'' expected';
   msError05 = ''';'' expected';
   msError06 = '''.'' expected';
   msError07 = ''')'' expected';
   msError08 = ''']'' expected';
   msError09 = '''='' expected';
   msError10 = '''BEGIN'' expected';
   msError11 = '''END'' expected';
   msError12 = '''OF'' expected';
   msError13 = '''THEN'' expected';
   msError14 = '''UNTIL'' expected';
   msError15 = '''TO'' or ''DOWNTO'' expected';
   msError16 = '''DO'' expected';
   msError17 = '''FINALLY'' or ''EXCEPT'' expected';
   msError18 = '''['' expected';
   msError19 = '''..'' expected';
   msError20 = '''&gt;'' expected';

Implementation

End.
