Unit msScriptApiDlgForm;

{$MODE objfpc}{$H+}

Interface

Uses
   Classes, SysUtils, Forms, Controls, Graphics, Dialogs,
   SynEdit,
   msbaseobjects, mscoreengine,
   msLibrariesTree;

Type

   { TScriptApiForm }

   TScriptApiForm = Class(TForm)
      mscrRTTILibrariesTree1: TmscrRTTILibrariesTree;
   Private
   Public
      Function Execute(aScript: TmscrScript; aScriptEditor: TSynEdit): integer;
   End;

   TmsScriptAPIExplorerDlg = Class(TComponent)
   Private
      FScript: TmscrScript;
      FScriptEditor: TSynEdit;
   Public
      Function Execute(aScript: TmscrScript; aScriptEditor: TSynEdit): integer;
      Function Execute: integer;
   Published
      Property Script: TmscrScript Read FScript Write FScript;
      Property ScriptEditor: TSynEdit Read FScriptEditor Write FScriptEditor;
   End;

Var
   ScriptApiForm: TScriptApiForm;

Implementation

{$R *.frm}

Function TmsScriptAPIExplorerDlg.Execute: integer;
Begin
   Result := Self.Execute(FScript, FScriptEditor);
End;

Function TmsScriptAPIExplorerDlg.Execute(aScript: TmscrScript; aScriptEditor: TSynEdit): integer;
Begin
   If ScriptApiForm = Nil Then
      ScriptApiForm := TScriptApiForm.Create(self);

   Result := ScriptApiForm.Execute(aScript, aScriptEditor);
End;

Function TScriptApiForm.Execute(aScript: TmscrScript; aScriptEditor: TSynEdit): integer;
Begin
   Result := 0;
   mscrRTTILibrariesTree1.Script := aScript;
   mscrRTTILibrariesTree1.ScriptEditor := aScriptEditor;

   If ScriptApiForm.visible = false Then ScriptApiForm.show;
End;

End.
